public class Armure extends Objet{
	
	private int bonusDef=0;
	private boolean equiped=false;
	private int poids=0;
	
	private int resistanceMat=0;
	private int structureMat=0;
	
	private int magicBonus=0;
	
	private int niveau=0;
	
	
	
	public Armure(boolean casse,String modele,String nom,String nomE,int bonusMagic,String typeObjet,boolean visible,String tileStr){
		super(casse,modele,nom,nomE,bonusMagic,typeObjet,visible,tileStr);
		
		magicBonus=bonusMagic;
		
		if((bonusMagic*4)-7>=0){
			niveau=(bonusMagic*4)-7;
		}
		else{niveau=0;
		}
		
		if(getModele().compareTo("softleather")==0){
			
			bonusDef=3+bonusMagic;
			poids=7;
			resistanceMat=50+(bonusMagic*20);
			structureMat=120+(bonusMagic*20);
		}
		
		if(getModele().compareTo("hardleather")==0){
			
			bonusDef=4+bonusMagic;
			poids=9;
			resistanceMat=60+(bonusMagic*20);
			structureMat=120+(bonusMagic*20);
		}
		
		if(getModele().compareTo("mail")==0){
			
			bonusDef=6+bonusMagic;
			poids=15;
			resistanceMat=80+(bonusMagic*20);
			structureMat=200+(bonusMagic*20);
		}
		
		if(getModele().compareTo("plate")==0){
			
			bonusDef=8+bonusMagic;
			poids=30;
			resistanceMat=80+(bonusMagic*20);
			structureMat=400+(bonusMagic*20);
		}
		
		
		
	}
	
	public int getNiveau(){
		return niveau;
	}
	
	public int getPoids(){
		return poids;
	}
	
	public void setPoids(int pds){
		poids=pds;
	}
	
	
	public boolean getEquiped(){
		return equiped;
	}
	
	public void setEquiped(boolean eq){
		equiped=eq;
	}
	
	public int getBonusDef(){
		return bonusDef;
	}
	
	public void setBonusDef(int bondef){
		bonusDef=bondef;
	}
	
	public int getResistanceMat(){
		return resistanceMat;
	}
	
	public void setResistanceMat(int res){
		resistanceMat=res;
	}
	
	public int getStructureMat(){
		return structureMat;
	}
	
	public void setStructureMat(int struct){
		structureMat=struct;
	}
	
	public int getMagicBonus(){
		return magicBonus;
	}
}